/* Layout */
/* Fixes hamburger menu causing layout break on iPad Pro */
@media (min-width: 1000px) and (max-width: 1100px) {
  .elementor-location-single .right-menus .elementor-widget-container {
    min-width: auto !important;
  }
}

/* Not sure what this does. Commented for tests */
/* @media (min-width: 961px) {
  .elementor-location-single {
    overflow: visible !important;
  }
} */

.elementor-location-single .sj-container {
  max-width: 1350px;
  padding: 0 20px;
}

/* HERO */
/* Breadcrumbs */
@media (max-width: 700px) {
  .elementor-location-single .elementor-element-populated:has(#hc-breadcrumbs) {
    margin-right: 0;
  }
}

/* Page Title */
.elementor-location-single .elementor-widget-html:has(.location-title) {
  margin-block-end: 0 !important;
}

.elementor-location-single .location-title {
  font-family:
    "Inter",
    system-ui,
    -apple-system,
    sans-serif;
  font-size: 64px;
  font-weight: 900;
  text-transform: capitalize;
  line-height: 64px;
  -webkit-text-stroke-color: var(--sj-black);
  stroke: var(--sj-black);
  color: var(--sj-white);
  margin: 0;
}

.elementor-location-single .location-title span {
  color: var(--sj-gold);
  margin: 0;
}

@media (min-width: 1200px) {
  .elementor-location-single .location-title span {
    display: block;
  }
}

@media (max-width: 1045px) {
  .elementor-location-single .location-title {
    font-size: 44px;
    line-height: 46.2px;
  }
}

@media (max-width: 500px) {
  .elementor-location-single .location-title {
    font-size: 35px;
    line-height: 36.5px;
  }
}

.elementor-location-single .sub-title strong {
  color: var(--sj-white);
}

/* Video */
@media (max-width: 1045) {
  .elementor-location-single .dialog-type-lightbox {
    position: absolute !important;
  }
}

.elementor-location-single .hero-video img {
  box-shadow: 0 14px 34px rgba(0, 0, 0, 0.3) !important;
  overflow: hidden;
}

/* Forms */
.elementor-location-single .form-col {
  position: relative;
}

.elementor-location-single .hero-contact-form {
  background-color: #ffffff0a;
  border: 1px solid #ffffff1a;
  border-radius: 36px;
}

@media (min-width: 1045px) {
  .elementor-location-single .form-col .hero-contact-form {
    position: sticky;
  }
}

.elementor-location-single .form-headline {
  display: block;
  color: var(--sj-white);
  font-family: "Inter", sans-serif;
  font-size: 28px;
  font-weight: 800;
  line-height: 1.05em;
  letter-spacing: -0.03;
  margin-bottom: 6px;
}

.elementor-location-single .form-headline strong {
  color: var(--sj-gold);
  font-weight: 800;
}

.elementor-location-single .form-subheading {
  display: block;
  font-family: "Roboto", sans-serif;
  font-size: 13px;
  color: var(--sj-white);
  font-weight: 500;
  opacity: 0.7;
}

@media (max-width: 697px) {
  .elementor-location-single .form-headline {
    font-size: 28px;
  }
}

.elementor-location-single .hero-contact-form {
  box-shadow: 0 14px 34px rgba(var(--sj-back), 0.3) !important;
}

.elementor-location-single .caseForm .gform_title {
  display: none;
}

.elementor-location-single .caseForm .gform-field-label {
  display: none !important;
}

.elementor-location-single .caseForm input,
.elementor-location-single .caseForm select,
.elementor-location-single .caseForm select option,
.elementor-location-single .caseForm textarea {
  padding: 15px !important;
  color: var(--sj-navy) !important;
  font-family: Helvetica, Verdana, Arial, sans-serif;
  font-weight: 400 !important;
  font-size: 18px !important;
  border-radius: 8px !important;
}

@media (max-width: 697px) {
  .elementor-location-single
    .gform_wrapper.gravity-theme
    .ginput_complex
    span:first-child {
    margin-bottom: 16px;
  }

  .elementor-location-single
    .gform_wrapper.gravity-theme
    .ginput_complex
    span:last-child {
    margin-bottom: 0;
  }
}

.elementor-location-single .caseForm input::placeholder,
.elementor-location-single .caseForm textarea::placeholder {
  color: var(--sj-navy) !important;
}

.elementor-location-single .caseForm input,
.elementor-location-single .caseForm select {
  height: 55px;
}

.elementor-location-single .caseForm .gchoice .gform-field-label {
  display: inline-block !important;
  padding-left: 15px;
  line-height: 15px !important;
  font-size: 10px !important;
}

.elementor-location-single .caseForm .gchoice {
  font-size: 10px !important;
  font-family: Helvetica, Verdana, Arial, sans-serif;
  font-weight: 400 !important;
  color: var(--sj-white) !important;
}

.elementor-location-single .caseForm .gchoice input {
  height: 13px !important;
  width: 13px !important;
  max-height: 13px;
  max-width: 13px;
  vertical-align: top !important;
}

.elementor-location-single .gform_wrapper.gravity-theme .gform_footer {
  padding-bottom: 0 !important;
}

.elementor-location-single .gform_wrapper.gravity-theme .gform_footer input {
  margin-bottom: 0 !important;
}

.elementor-location-single .caseForm .gform_button {
  width: 100%;
  color: var(--sj-navy) !important;
  background-color: #F9E800;
  padding: 15px 26px !important;
  white-space: normal;
  font-family: Helvetica, Verdana, Arial, sans-serif;
  font-weight: 700 !important;
  font-size: 18px !important;
  line-height: 20px;
  text-align: center;
  text-transform: capitalize;
  height: 100% !important;
  border: 1px solid transparent;
  border-radius: 8px !important;
}

.elementor-location-single .caseForm .gform_button:hover {
  background-color: var(--sj-white) !important;
}

.elementor-location-single .caseForm .checkbox-text {
  color: var(--sj-white);
  opacity: 1;
}

@media (max-width: 1200px) {
  .elementor-location-single .caseForm .gform_button {
    font-size: 16px !important;
    line-height: 1.2;
    padding: 15px 26px !important;
  }
}

.elementor-location-single .caseForm a.consentLink {
  color: var(--sj-white);
  font-weight: 700;
  transition: 1s;
}

.elementor-location-single .caseForm a::hover {
  color: var(--sj-white);
}

.elementor-location-single .caseForm .gform-field-label {
  color: var(--sj-white);
}

/* Section - Page Content */
/* Post Content */
/* Headings */
.elementor-location-single .custom-post-content h2,
.elementor-location-single .custom-post-content h3 {
  font-family: "Inter", Sans-Serif;
  letter-spacing: -1.2px;
  color: #0a1254;
}

.elementor-location-single .custom-post-content h2 {
  font-weight: 800;
  font-size: 40px;
  line-height: 44px;
  margin: 52px 0 12px;
}

.elementor-location-single .custom-post-content h3 {
  font-size: 30px;
  font-weight: 700;
  margin: 30px 0 12px;
}

@media (max-width: 697px) {
  .elementor-location-single .custom-post-content h2 {
    font-size: 32px;
    line-height: 38px;
    letter-spacing: -1.2px;
  }

  .elementor-location-single .custom-post-content h3 {
    font-size: 24px;
  }
}

/* Text */
.elementor-location-single .custom-post-content p {
  font-family: "Roboto", Sans-Serif;
  font-weight: 400;
  font-size: 20px;
  line-height: 27px;
  letter-spacing: 0%;
  color: #0a0e2c;
  margin-bottom: 16px;
}

/* Lists */
.elementor-location-single .custom-post-content ul,
.elementor-location-single .custom-post-content ol {
  border: 1px solid #0a0e2c1a;
  border-radius: 24px;
  border-width: 1px;
  box-shadow: 0px 2px 6px 0px #0a0e2c0a;
  padding: 32px;
  padding-left: 64px;
  margin: 32px 0;
}

.elementor-location-single .custom-post-content ul li,
.elementor-location-single .custom-post-content ol li {
  font-family: "Roboto", Sans-Serif;
  font-weight: 400;
  font-size: 20px;
  line-height: 27px;
  letter-spacing: 0%;
  color: #0a0e2c;
  margin-bottom: 14px;
}

/* Section - Client Results */
@media (max-width: 697px) {
  .elementor-location-single .sj-result__state,
  .elementor-location-single .sj-result__pill {
    font-size: 10px;
  }
}

/* Section - Come to you */
.elementor-location-single .sj-container.come-to-you__grid div[data-sj-reveal] {
  padding-left: 0;
}

/* Section - FAQ */
@media (min-width: 961px) {
  .elementor-location-single .faq__grid .elementor-location-single .faq__intro {
    align-self: start;
    top: 200px;
  }
}
